Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.impl.util
Class LoggingPrintStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  org.jbpm.process.instance.impl.util.LoggingPrintStream

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class LoggingPrintStream

extends PrintStream

Field Summary
`protected boolean` | `isError`
`protected org.slf4j.Logger` | `logger`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`LoggingPrintStream(OutputStream outputStream, boolean isError)`

Method Summary
`static void` | `interceptSysOutSysErr()`
`protected void` | `log(String s)`
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(char[] s)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(Object obj)`
`void` | `print(String s)`
`void` | `println()`
`void` | `println(boolean x)`
`void` | `println(char x)`
`void` | `println(char[] x)`
`void` | `println(double x)`
`void` | `println(float x)`
`void` | `println(int x)`
`void` | `println(long x)`
`void` | `println(Object x)`
`void` | `println(String x)`
`static void` | `resetInterceptSysOutSysErr()`

Methods inherited from class java.io.PrintStream
`append, append, append, checkError, clearError, close, flush, format, format, printf, printf, setError, write, write`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected org.slf4j.Logger logger

### isError

    protected boolean isError

Constructor Detail

### LoggingPrintStream

    public LoggingPrintStream(OutputStream outputStream,
                              boolean isError)

Method Detail

### log

    protected void log(String s)

### print

    public void print(boolean b)

  Overrides:
    `print` in class `PrintStream`

### print

    public void print(char c)

  Overrides:
    `print` in class `PrintStream`

### print

    public void print(int i)

  Overrides:
    `print` in class `PrintStream`

### print

    public void print(long l)

  Overrides:
    `print` in class `PrintStream`

### print

    public void print(float f)

  Overrides:
    `print` in class `PrintStream`

### print

    public void print(double d)

  Overrides:
    `print` in class `PrintStream`

### print

    public void print(char[] s)

  Overrides:
    `print` in class `PrintStream`

### print

    public void print(String s)

  Overrides:
    `print` in class `PrintStream`

### print

    public void print(Object obj)

  Overrides:
    `print` in class `PrintStream`

### println

    public void println()

  Overrides:
    `println` in class `PrintStream`

### println

    public void println(boolean x)

  Overrides:
    `println` in class `PrintStream`

### println

    public void println(char x)

  Overrides:
    `println` in class `PrintStream`

### println

    public void println(int x)

  Overrides:
    `println` in class `PrintStream`

### println

    public void println(long x)

  Overrides:
    `println` in class `PrintStream`

### println

    public void println(float x)

  Overrides:
    `println` in class `PrintStream`

### println

    public void println(double x)

  Overrides:
    `println` in class `PrintStream`

### println

    public void println(char[] x)

  Overrides:
    `println` in class `PrintStream`

### println

    public void println(String x)

  Overrides:
    `println` in class `PrintStream`

### println

    public void println(Object x)

  Overrides:
    `println` in class `PrintStream`

### interceptSysOutSysErr

    public static void interceptSysOutSysErr()

### resetInterceptSysOutSysErr

    public static void resetInterceptSysOutSysErr()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.